# shell whisperer

[![Build Status](https://travis-ci.org/maxjacobson/shell_whisperer.svg)](https://travis-ci.org/maxjacobson/shell_whisperer)

This is a very small library to provide a wrapper around Ruby's backtick thing,
where you can run shell commands.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'shell_whisperer'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install shell_whisperer

## Usage

```ruby
ShellWhisperer.run "ls" #=> "README.md\n"
ShellWhisperer.run "cat README.md" #=> "Content of README.md\n"
ShellWhisperer.run "cat README.dm" #=> ShellWhisperer::CommandFailed exception with message "cat: README.dm: No such file or directory"
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run
`rake spec` to run the tests. You can also run `bin/console` for an interactive
prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To 
release a new version, update the version number in `version.rb`, and then run
`bundle exec rake release`, which will create a git tag for the version, push
git commits and tags, and push the `.gem` file to
[rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at
https://github.com/maxjacobson/shell_whisperer. This project is intended to be a
safe, welcoming space for collaboration, and contributors are expected to adhere
to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the
[MIT License](http://opensource.org/licenses/MIT).
